<template>
  <Home>
    <app-header class="px-32 py-1" />
    <div class="container">
      <div class="relative mt-5">
        <img src="../assets/1.jpg" />
        <div class="text-on-img text-white-1 absolute text-center">
          <h1 class="font-bold text-2xl">Enjoy Your Dream Vacation</h1>
          <p class="p-3">
            Plan and book our perfect trip with expert advice, travel tips,
            destination information and inspiration from us
          </p>
        </div>
        <div></div>
        <SearchBar
          class="absolute -bottom-11 inset-x-24 mb-5"
        />
      </div>
      <warning class="mt-10" />
      <div class="countries mt-5">
        <div class="topics">
          <h1 class="font-bold text-xl py-2">Enjoy your dream vacation</h1>
          <p class="text-sm">
            Plan and book our perfect trip with expert advice, travel tips,
            destination information and inspiration from us
          </p>
        </div>
        <div class="flex flex-row gap-3 mt-1">
          <div class="flex flex-col">
            <img src="../assets/Rectangle 8.png" alt="Australia" />
            <h5 class="font-bold">Australia</h5>
            <p class="text-sm">2246 properties</p>
          </div>
          <div class="flex flex-col">
            <img src="../assets/Rectangle 9.png" alt="" />
            <h5 class="font-bold">Japan</h5>
            <p class="text-sm">1278 properties</p>
          </div>
          <div class="flex flex-col">
            <img src="../assets/Rectangle 10.png" alt="" />
            <h5 class="font-bold">New Zealand</h5>
            <p class="text-sm">480 properties</p>
          </div>
          <div class="flex flex-col">
            <img src="../assets/Rectangle 11.png" />
            <h5 class="font-bold">Greece</h5>
            <p class="text-sm">320 properties</p>
          </div>
        </div>
      </div>
      <div class="trips mt-5">
        <div class="topics">
          <h1 class="font-bold text-lg py-3">
            Get inspiration for your next trip
          </h1>
        </div>
        <div class="flex flex-row gap-3 mt-1">
          <div class="relative">
            <img src="../assets/Rectangle 15 .png" alt="" />
            <div class="absolute flex flex-col bottom-0 p-5 text-white-1">
              <h5 class="font-bold">
                Sydeny’s 10 most fashionable 5 star hotels
              </h5>
              <p class="text-sm">
                Browse the fastest growing tourism sector in the heart of
                Australia tourism capital ....
              </p>
            </div>
          </div>
          <div class="relative">
            <img src="../assets/Rectangle 16.png" alt="" />
            <div class="absolute flex flex-col bottom-0 p-5 text-white-1">
              <h5 class="font-bold">Top cities for Vegan Travellers</h5>
              <p class="text-sm">
                Top sites where you do not have to worry about being a vegan.
                Our tourist guide is here...
              </p>
            </div>
          </div>
          <div class="relative">
            <img src="../assets/Rectangle 17.png" alt="" />
            <div class="absolute flex flex-col bottom-0 p-5 text-white-1">
              <h5 class="font-bold">
                World’s top destinations during and post covid timeline
              </h5>
              <p class="text-sm">
                Pandemic is still intact and will be here for a longer time.
                Here’s where your next destination...
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="hotels mt-5">
        <div class="topics">
          <h1 class="font-bold text-lg py-3">Popular hotels</h1>
        </div>
        <div class="flex flex-row gap-3 mt-1">
          <div class="flex flex-col">
            <img src="../assets/Rectangle 18.png" alt="" />
            <h5 class="font-semibold">Lakeside Motel Warefront</h5>
            <p class="text-sm">1278 properties</p>
          </div>
          <div>
            <img src="../assets/Rectangle 19.png" alt="" />
            <h5 class="font-semibold">Recce Graham resort</h5>
            <p class="text-sm">1278 properties</p>
          </div>
          <div class="flex flex-col">
            <img src="../assets/Rectangle 20.png" alt="" />
            <h5 class="font-semibold">Fireside Dinners</h5>
            <p class="text-sm">1278 properties</p>
          </div>
          <div class="flex flex-col">
            <img src="../assets/Rectangle 21.png" alt="" />
            <h5 class="font-semibold">Oculous Inn Stay</h5>
            <p class="text-sm">1278 properties</p>
          </div>
        </div>
      </div>
      <div class="application mt-5">
        <div class="relative">
          <img src="../assets/Rectangle 22.png" />
          <div class="absolute top-0 left-14 text-white-1 flex flex-row h-full">
            <div class="mt-12">
            <h1 class="app-title text-2xl font-semibold">
              Download the mobile application for bonus coupons and travel codes
            </h1>
            <button class="bg-blue-1 p-3 rounded text-white-1 mt-3">
              Download mobile app
            </button>
          </div>
          <div class="overflow-hidden">
            <img class=" translate-y-10 scale-150" src="../assets/hand.png">
          </div>
          </div>
        </div>
      </div>
      <div class="mt-5 text-center justify-center">
        <h1 class="font-bold text-xl">Explore the world with My Dream place</h1>
        <p class="text-sm text-blue-1">Discover new places and experiences</p>
      </div>
    </div>
    <AppFooter />
  </Home>
</template>
<script>
import AppFooter from "../components/global/AppFooter.vue";
import AppHeader from "../components/global/AppHeader.vue";
import Warning from "../components/global/Warning.vue";
import SearchBar from "../components/global/SearchBar.vue";


export default {
  components: { Warning, AppFooter, AppHeader, SearchBar },
  
};
</script>

<style scoped>

.text-on-img {
  top: 40%;
  left: 25%;
  width: 600px;
}
.warning {
  width: 100%;
}
.topics {
  width: 600px;
}
.app-title {
  width: 560px;
}
</style>
